import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.text.*;

public class RadiansDegreesConverter  {

    private JFrame window;
    private DegreesToRadiansButton dToR;
    private RadiansToDegreesButton rToD;
    private JTextField degrees;
    private JLabel degreesTitle;
    private JTextField radians;
    private JLabel radiansTitle;

    public RadiansDegreesConverter() {       
        window = new JFrame("Radians Degrees Converter");
        window.setBounds(100, 200, 800, 600);
        window.getContentPane().setLayout(null);
        window.setVisible(true);
        
        degrees = new JTextField();
        degrees.setBounds(20, 50, 200, 40);
        degrees.setBackground(Color.white);
        window.add(degrees);
        
        degreesTitle = new JLabel("Degrees");
        degreesTitle.setBounds(40, 90, 200, 40);
        degreesTitle.setForeground(Color.black);
        window.add(degreesTitle);

        radians = new JTextField();
        radians.setBounds(250, 50, 200, 40);
        radians.setBackground(Color.white);
        window.add(radians);
        
        radiansTitle = new JLabel("Radians");
        radiansTitle.setBounds(270, 90, 200, 40);
        radiansTitle.setForeground(Color.black);
        window.add(radiansTitle);
        
        dToR = new DegreesToRadiansButton(this);
        dToR.setBounds(20, 300, 200, 40);
        dToR.addActionListener(dToR);
        window.add(dToR);

        rToD = new RadiansToDegreesButton(this);
        rToD.setBounds(250, 300, 200, 40);
        rToD.addActionListener(rToD);
        window.add(rToD);
        
        window.repaint();      
    }

    private String makeDoubleLabel(double f) {
        DecimalFormat format = new DecimalFormat("#0.00000");
        return format.format(f);
    }
    
    public double getDegrees() {
        return new Double(degrees.getText());
    }
    
    public void setDegrees(double d) {
        degrees.setText(makeDoubleLabel(d));
    }
    
    public double getRadians() {
        return new Double(radians.getText());
    }
    
    public void setRadians(double d) {
        radians.setText(makeDoubleLabel(d));
    }
    
    public static void main(String args[]) {
        new RadiansDegreesConverter();
    }
     
}
